struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lukasz Lenart <lukaszlen...@apache.org>
Subject Re: problem Migrating from Struts 2.3 to 2.5
Date Thu, 22 Dec 2016 06:33:15 GMT
2016-12-22 6:53 GMT+01:00 John Aylward <John.Aylward@sagenet.com>:
> I'm trying to migrate my struts application from 2.3.31 to 2.5.8 but it appears that
my struts.xml is not getting loaded. My web.xml is pretty standard:

Please try to use Struts 2.5.5

> <?xml version="1.0" encoding="UTF-8"?>
> <!DOCTYPE struts PUBLIC
>   "-//Apache Software Foundation//DTD Struts Configuration 2.3//EN"
>   "http://struts.apache.org/dtds/struts-2.3.dtd">

Change 2.3 to 2.5

> <struts>
>        <!-- Load in the default Struts configuration so we get all the basic interceptors.
>              This is in the struts-core jar file if you need to look at it for reference.
-->
>        <!-- <include file="struts-default.xml" /> -->

You don't need that, Struts will automatically load any
struts-default.xml and struts-plugin.xml

> <?xml version="1.0" encoding="UTF-8"?>
> <!DOCTYPE struts PUBLIC
>     "-//Apache Software Foundation//DTD Struts Configuration 2.3//EN"
>     "http://struts.apache.org/dtds/struts-2.3.dtd">

Same here, replace 2.3 with 2.5

Anyway, this can be related to
https://issues.apache.org/jira/browse/WW-4727 but I cannot reproduce
this with my example app


Regards
-- 
Ɓukasz
+ 48 606 323 122 http://www.lenart.org.pl/

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org


Mime
View raw message